<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: profile/profile-body/profile-body-keys/index.tsx</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: profile/profile-body/profile-body-keys/index.tsx</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>import React from 'react';
import styled from 'styled-components';
import { IUserDataInfo } from '../../../../utils/interfaces/api.interface';
import KeyNumberCard from './KeyFigureCard';

const Container = styled.div`
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  max-height: 615px;

  @media (max-width: 1350px) {
    flex-flow: row wrap;
    max-width: 855px;
  }
`;

enum EKeyData {
  'calorieCount' = 'Calories',
  'proteinCount' = 'Proteines',
  'carbohydrateCount' = 'Glucides',
  'lipidCount' = 'Lipides',
}

/** Renders the user's key figures container */
const ProfileBodyKeys: React.FC&lt;{ data: IUserDataInfo }> = ({ data }) => {
  return (
    &lt;Container>
      {Object.entries(data.keyData).map(([key, value]) => (
        &lt;KeyNumberCard
          value={value}
          unit={EKeyData[key as keyof typeof EKeyData] as 'Calories' | 'Proteines' | 'Glucides' | 'Lipides'}
          key={EKeyData[key as keyof typeof EKeyData]}
        />
      ))}
    &lt;/Container>
  );
};

export default ProfileBodyKeys;
</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Global</h3><ul><li><a href="global.html#Activity">Activity</a></li><li><a href="global.html#AverageSessions">AverageSessions</a></li><li><a href="global.html#Header">Header</a></li><li><a href="global.html#KeyFigureCard">KeyFigureCard</a></li><li><a href="global.html#Performance">Performance</a></li><li><a href="global.html#ProfileBody">ProfileBody</a></li><li><a href="global.html#ProfileBodyGraphics">ProfileBodyGraphics</a></li><li><a href="global.html#ProfileBodyKeys">ProfileBodyKeys</a></li><li><a href="global.html#ProfileHeading">ProfileHeading</a></li><li><a href="global.html#Score">Score</a></li><li><a href="global.html#SideBar">SideBar</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Fri Aug 20 2021 11:51:37 GMT+0200 (heure d’été d’Europe centrale)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
